Bug 83619 - TOOLBAR: Drop down buttons loose drop down feature when customizing presentation toolbar
Summary: TOOLBAR: Drop down buttons loose drop down feature when customizing presentat...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.2.6.2 release
Hardware: Other All
: medium normal
Assignee: Maxim Monastirsky
URL:
Whiteboard: target:4.4.0 target:4.3.3
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-08 16:44 UTC by Yousuf Philips (jay) (retired)
Modified: 2015-03-24 02:57 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
how it looks after unhiding a button (93.46 KB, image/png)
2014-09-08 16:44 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-09-08 16:44:56 UTC
Created attachment 105897 [details]
how it looks after unhiding a button

The presentation toolbar has 2 drop down buttons - Add Slide and Slide Layout - and if you go into the customize dialog and make changes, the drop down part of the buttons disappear.

Tested in 4.3.2 and master on Linux.
Comment 1 Jacques Guilleron 2014-09-09 07:34:26 UTC
Hi Jay,

I confirm with LO 4.4.0.0.alpha0+
Build ID: 5aeb852efcabdd51545d5d41c92f4bf3cef1d663
TinderBox: Win-x86@39, Branch:master, Time: 2014-09-08_07:01:57
LO 4.3.1.2 Build ID: 958349dc3b25111dbca392fbc281a05559ef6848
LO 4.2.7.0.0+
Build ID: 92216be6ce13990b8ea6b6264c656d2bc1746401
TinderBox: Win-x86@42, Branch:libreoffice-4-2, Time: 2014-07-14_16:21:42
LO 3.5.3.2 Version ID : 235ab8a-3802056-4a8fed3-2d66ea8-e241b80
& Windows 7 Home Premium.

Only Reset allow to find again drop down part.
Comment 2 Commit Notification 2014-09-15 20:04:46 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=99ace739828f9d79a2f9b04ef066b90d77f77bc4

fdo#83619 Retain dropdown part after customization



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Adolfo Jayme 2014-09-16 14:32:03 UTC
Cherry-picked to -4-3: https://gerrit.libreoffice.org/11466/
Comment 4 Yousuf Philips (jay) (retired) 2014-09-18 11:56:47 UTC
Verified in master.

Version: 4.4.0.0.alpha0+
Build ID: aa888a88696f6864fd771c948d0831d53a206939
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-09-16_19:38:50
Comment 5 Commit Notification 2014-09-25 12:32:05 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d5dcbd6cb2cd1f8d11428bed88730f7f513784a7&h=libreoffice-4-3

fdo#83619 Retain dropdown part after customization


It will be available in LibreOffice 4.3.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.